Package org.apache.storm.security.auth.tls

## Class ReloadableX509KeyManager

- java.lang.Object
- - org.apache.storm.security.auth.tls.ReloadableX509KeyManager

- All Implemented Interfaces:
    `KeyManager`, `X509KeyManager`

      public class ReloadableX509KeyManager
      extends Object
      implements X509KeyManager

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ReloadableX509KeyManager​(String keystorePath, String keystorePassword)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `chooseClientAlias​(String[] strings, Principal[] principals, Socket socket)` |
    `String` | `chooseServerAlias​(String s, Principal[] principals, Socket socket)` |
    `X509KeyManager` | `createKeyManager​(KeyStore keystore, String keystorePassword)` |
    `X509Certificate[]` | `getCertificateChain​(String s)` |
    `String[]` | `getClientAliases​(String s, Principal[] principals)` |
    `KeyStore` | `getKeyStore​(String keystorePath, String keystorePassword)` |
    `PrivateKey` | `getPrivateKey​(String s)` |
    `String[]` | `getServerAliases​(String s, Principal[] principals)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReloadableX509KeyManager

          public ReloadableX509KeyManager​(String keystorePath,
                                          String keystorePassword)
                                   throws Exception

      Throws:
        `Exception`

  - ### Method Detail

    - #### createKeyManager

          public X509KeyManager createKeyManager​(KeyStore keystore,
                                                 String keystorePassword)
                                          throws Exception

      Throws:
        `Exception`

    - #### getClientAliases

          public String[] getClientAliases​(String s,
                                           Principal[] principals)

      Specified by:
        `getClientAliases` in interface `X509KeyManager`

    - #### chooseClientAlias

          public String chooseClientAlias​(String[] strings,
                                          Principal[] principals,
                                          Socket socket)

      Specified by:
        `chooseClientAlias` in interface `X509KeyManager`

    - #### getServerAliases

          public String[] getServerAliases​(String s,
                                           Principal[] principals)

      Specified by:
        `getServerAliases` in interface `X509KeyManager`

    - #### chooseServerAlias

          public String chooseServerAlias​(String s,
                                          Principal[] principals,
                                          Socket socket)

      Specified by:
        `chooseServerAlias` in interface `X509KeyManager`

    - #### getCertificateChain

          public X509Certificate[] getCertificateChain​(String s)

      Specified by:
        `getCertificateChain` in interface `X509KeyManager`

    - #### getPrivateKey

          public PrivateKey getPrivateKey​(String s)

      Specified by:
        `getPrivateKey` in interface `X509KeyManager`

    - #### getKeyStore

          public KeyStore getKeyStore​(String keystorePath,
                                      String keystorePassword)
                               throws Exception

      Throws:
        `Exception`